Package org.apache.nutch.plugin

## Class PluginManifestParser

- java.lang.Object
- - org.apache.nutch.plugin.PluginManifestParser

-     public class PluginManifestParser
      extends Object

  The `PluginManifestParser` provides a mechanism for parsing Nutch plugin manifest files (`plugin.xml`) contained in a `String` of plugin directories.
  Author:
    joa23

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static org.slf4j.Logger` | `LOG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PluginManifestParser​(Configuration conf, PluginRepository pluginRepository)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getPluginFolder​(String name)` | Return the named plugin folder.
    `Map<String,​PluginDescriptor>` | `parsePluginFolder​(String[] pluginFolders)` | Returns a list of all found plugin descriptors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### PluginManifestParser

          public PluginManifestParser​(Configuration conf,
                                      PluginRepository pluginRepository)

  - ### Method Detail

    - #### parsePluginFolder

          public Map<String,​PluginDescriptor> parsePluginFolder​(String[] pluginFolders)

      Returns a list of all found plugin descriptors.
      Parameters:
        `pluginFolders` - folders to search plugins from
      Returns:
        A `Map` of all found `PluginDescriptor`s.

    - #### getPluginFolder

          public File getPluginFolder​(String name)

      Return the named plugin folder. If the name is absolute then it is returned. Otherwise, for relative names, the classpath is scanned.
      Parameters:
        `name` - the name of a plugin folder
      Returns:
        the plugin directory as a `File`